use super::Key;
use super::oyayubi as k;

pub const OYAYUBI: [Key; 30] = [
    k('Q', '。', 'ぁ', None),
    k('W', 'か', 'え', None),
    k('E', 'た', 'り', None),
    k('R', 'こ', 'ゃ', None),
    k('T', 'さ', 'れ', None),
    k('Y', 'ら', 'よ', Some('ぱ')),
    k('U', 'ち', 'に', None),
    k('I', 'く', 'る', None),
    k('O', 'つ', 'ま', None),
    k('P', '，', 'ぇ', Some('ぴ')),
    k('A', 'う', 'を', None),
    k('S', 'し', 'あ', None),
    k('D', 'て', 'な', None),
    k('F', 'け', 'ゅ', None),
    k('G', 'せ', 'も', None),
    k('H', 'は', 'み', None),
    k('J', 'と', 'お', None),
    k('K', 'き', 'の', None),
    k('L', 'い', 'ょ', Some('ぽ')),
    k(';', 'ん', 'っ', None), // Missing +
    k('Z', '．', 'ぅ', None),
    k('X', 'ひ', 'ー', None),
    k('C', 'す', 'ろ', None),
    k('V', 'ふ', 'や', None),
    k('B', 'へ', 'ぃ', None),
    k('N', 'め', 'ぬ', Some('ぷ')),
    k('M', 'そ', 'ゆ', None),
    k(',', 'ね', 'む', Some('ぺ')), // Missing <
    k('.', 'ほ', 'わ', None), // Missing >
    k('?', '・', 'ぉ', Some('ゎ')) // Missing /
];